#!/usr/bin/env python
# -*- coding: utf-8 -*-

import web

from google.appengine.ext import db


urls = (
    "/stats", "Stats",
    "/(.*)", "Index"
)

app = web.application(urls, globals()).wsgifunc()
render = web.template.render("templates")


def visitor_exists(name):
    return Visitor().gql("WHERE name = :1", name).get() is not None


class Visitor(db.Model):
    name = db.StringProperty()


class Index:
    
    def GET(self, name):
        if not visitor_exists(name):
            visitor = Visitor()
            visitor.name = name
            visitor.put()
        
        return render.index(name)


class Stats:
    
    def GET(self):
        visitors = db.GqlQuery("SELECT * FROM Visitor").fetch(None)
        if visitors:
            return ("Lista de visitantes: <br />" +
                    "<br />".join([v.name for v in visitors]))
        else:
            return "No hay visitantes."


if __name__ == "__main__":
    app = app.gaerun()
